libretools - Bug #264

[libremakepkg] Add option to not use a chroot
2012-12-02 03:26 PM - lukeshu

Status: fixed % Done: 100%
Priority: feature

Assignee: lukeshu

Category:

Description

This should be fairly straight forward, but may involve creating a generalized "profile exec" function that executes a command in or
out of a chroot, after loading the profile (since librechroot does not do that).

History

#2 - 2012-12-02 03:46 PM - fauno

we've been using FULLBUILDCMD that's set to libremakepkg by default but i have it configured to just makepkg. same for HOOKPRERELEASE,
HOOKLOCALRELEASE and HOOKPREBUILD.

#3 - 2012-12-09 02:09 PM - lukeshu

libremakepkg should now detect if it is in a chroot or not and do the right thing. However, this has not been tested as in order to make sure file
ownership stuff isn't broken, I'd have to set up a user in the chroot, and I'm feeling lazy right now.

https://projects.parabolagnulinux.org/packages/libretools.git/commit/?id=db3d3af8719706c80a791b0d875d308b021ee81b

#4 - 2013-05-02 06:21 PM - lukeshu

This is definitely done in my latest commit.
